Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#1341 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 01 July 2010 - 06:10 PM

Tôi thấy có vẻ hơi khó (hoặc không thể thực hiện được) vì các đối tượng cùng màu nhưng lại nằm trên các lớp khác nhau, nhưng trên các lớp lại có nhiều đối tượng khác không cùng màu với đối tượng cần bật tắt.
Hiện tại tôi chỉ biết cách bật tắt lớp, còn bật tắt từng đối tượng thì chưa biết. Nếu có thể bật tắt từng đối tượng thì có thể giải quyết được vấn đề của bạn.

Chào bác hoa35ktxd,
Mình thiển nghĩ, có nhẽ có thể thực hiện yêu cầu trên với điều kiện các màu cua các đối tượng trên cad không phải là bylayer.
Khi đó dùng hàm ssget với bộ chọn màu: (ssget "X" (list (cons 62 "giá trị màu tương ứng))) để chọn các đối tượng này.
Sau đó chuyển các đối tượng này về một lớp mới rồi bật tắt lớp này là được.
Các bác thử xem nhé.
Trường hợp có các đối tượng có màu là bylayer trùng với cái màu đã chọn thì phải chuyển các đối tượng được chọn về cùng với layer có màu đó rồi bật tắt nó mới được. Khi đó sẽ phức tạp hơn rất nhiều vì phải xác định tên của layer có màu này. Các bác thử nghiên cứu xem nhé.
Chúc các bác thành công.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1342 tttb

tttb

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 July 2010 - 07:09 PM

Giúp đỡ e 1 lisp về nội suy điểm. E có một bài toán thế này:
- Pick điểm P1 bất kỳ trong autocad, chỉ nhập thêm cao độ Z1 của điểm đó (user)
- Pick điểm P2 bất kỳ trong autocad, chỉ nhập thêm cao độ Z2 của điểm đó (user)
sau đó chọn điểm bất kỳ nằm trên đường thẳng P1P2, nội suy giá trị Z thông qua các giá trị P1(x1,y1,z1), P2 (x2, y2,z2) và P (x, y) (thuộc đường thẳng P1P2). Ghi giá trị Z nội suy được bằng text. (Các giá trị P này khi pick tùy ý thuộc P1P2)

Các bác giúp đỡ e với nhé

mình có thằng lisp này,liên hệ với mình
  • 0

#1343 dkkx3a

dkkx3a

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 01 July 2010 - 07:59 PM

Thế thì phức tạp và mất thời gian lắm. Mình muốn chỉ dùng lệnh để bật tắt tất cả các đối tượng có cùng màu tương tự như lệnh layiso. Rất mong được các cao thủ giúp đỡ.


Đây mình gởi cho bạn nè, đã có bổ sung và chỉnh sửa, bạn dùng thử nhé:
http://www.cadviet.c...ien_theomau.lsp
Chúc bạn vui vẻ!!!
  • 1
TỰ SỰ
Biển vào chiều buồn giữa cô liêu
Sóng vỗ bờ bạc đầu con nước
Khi biển động như lòng ta chợt động
Biển ồn ào nhưng thực rất dịu êm.......

#1344 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 01 July 2010 - 09:16 PM

Chào bạn Sony2007,
Bài toán của bạn đặt ra chưa chặt chẽ.
Bạn sử dụng việc pick diểm thứ nhất và pick điểm thừ 2 thì Ok chưa có vấn đề gì. Nhưng việc pick điểm thứ 3 thì sao nhỉ??? Có chắc chắn bạn sẽ pick điểm này đúng vào đoạn thẳng P1P2 hay không??? Nếu không trúng (mà điều này có nhẽ chiếm tới xác suất 90% đây bạn ạ) thì sẽ nội suy ra sao bạn nhỉ ?????
Trong trường hợp bạn pick không trúng thì bạn cần có 1 nguyên tắc lựa chọn điêm nào đó nằm trên đoạn thẳng P1P2 để nội suy bạn ạ. Còn việc nội suy này không phải quá phức tạp đâu, chỉ là các phép tính theo tam giác đồng dạng mà thôi. Bạn hoàn toàn có thể làm được mà.
Chúc bạn thành công.

Sẽ chắc chắn rằng điểm thứ 3 là P sẽ nằm đúng trên P1P2(xác suất 99.999%). Cơ mà bác PhamThanhBinh đã quên rằng CAD có lệnh UCS; chế độ Ortho và 1 sợi dây tóc chuột hay sao? :cheers:
Nếu P không nằm trên P1P2 thì kiểm tra và hiện lên thông báo

@truongthanh : Bạn hãy upload file cụ thể lên xem thế nào? Dạo này Tue_NV bận lắm, chắc là không giúp gì được, nhưng có các bác trên diễn đàn nếu rảnh sẽ giúp bạn mà
  • 3

#1345 tiendaica

tiendaica

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 July 2010 - 10:36 PM

mình dùng lisp này để phóng điểm lên cad nhưng phóng điểm thì tốt nhưng mà điểm không có ghi tên điểm bro nào có thể giúp mình sau khi phóng điểm lên cad các điểm đó có thể là tên hoặc số thứ tự họăc độ cao không !!!!!!
đây la file lisp minh muon sua http://www.cadviet.c...importxyz_1.zip
vidu lisp mình đang dùng http://www.cadviet.c...2/chua_duoc.dwg
lisp mình muốn http://www.cadviet.c...hi_sua_lisp.dwg
cám ơn !!!!!!!
  • 0

#1346 hoa35ktxd

hoa35ktxd

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 01 July 2010 - 11:13 PM

Chào bác hoa35ktxd,
Mình thiển nghĩ, có nhẽ có thể thực hiện yêu cầu trên với điều kiện các màu cua các đối tượng trên cad không phải là bylayer.
Khi đó dùng hàm ssget với bộ chọn màu: (ssget "X" (list (cons 62 "giá trị màu tương ứng))) để chọn các đối tượng này.
Sau đó chuyển các đối tượng này về một lớp mới rồi bật tắt lớp này là được.
Các bác thử xem nhé.
Trường hợp có các đối tượng có màu là bylayer trùng với cái màu đã chọn thì phải chuyển các đối tượng được chọn về cùng với layer có màu đó rồi bật tắt nó mới được. Khi đó sẽ phức tạp hơn rất nhiều vì phải xác định tên của layer có màu này. Các bác thử nghiên cứu xem nhé.
Chúc các bác thành công.

Tôi cũng đã nghĩ đến việc sử dụng lớp trung gian hoặc chuyển các đối tượng về lớp mẫu nhưng như thế sẽ làm cho bản vẽ bị biến đổi, khi muốn quản lý lớp sẽ lại bị rối vì ta không trả các đối tượng về lớp gốc của nó được. (cũng có thể chuyển được với trường hợp bổ sung thêm DXF vì tôi nhớ có ai đó đã nói đến phương pháp này nhưng tôi không rành)
Ngoài ra tôi cũng định làm theo cách gán cho các đối tượng đó có màu trùng với màu nền của CAD tuy nhiên khi trả lại giá trị lại đòi hỏi cái cặp dấu ngoặc bên trên.
Kể ra cũng khoai phết.
  • 1

#1347 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 02 July 2010 - 07:16 AM

Tôi cũng đã nghĩ đến việc sử dụng lớp trung gian hoặc chuyển các đối tượng về lớp mẫu nhưng như thế sẽ làm cho bản vẽ bị biến đổi, khi muốn quản lý lớp sẽ lại bị rối vì ta không trả các đối tượng về lớp gốc của nó được. (cũng có thể chuyển được với trường hợp bổ sung thêm DXF vì tôi nhớ có ai đó đã nói đến phương pháp này nhưng tôi không rành)
Ngoài ra tôi cũng định làm theo cách gán cho các đối tượng đó có màu trùng với màu nền của CAD tuy nhiên khi trả lại giá trị lại đòi hỏi cái cặp dấu ngoặc bên trên.
Kể ra cũng khoai phết.

Mình nghỉ tham khảo lisp ẩn hiện các đối tượng sau sẽ giải quyết được vấn đề.
http://www.cadviet.c...p?showtopic=279
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#1348 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 02 July 2010 - 07:58 AM

Còn vấn đề này "các hình chữ nhật có thể bị nổ ra thành line và có thể bị hở nhỏ nữa" thì pótay !
Bạn thử LISP này :

(defun c:addLay (/ ent i j layname objci objpl pt_lst ss ssc)
;| By : Gia Bach, gia_bach @ www.CadViet.com |;
(vl-load-com)

(defun GetPtLst (obj / anginc arcparam blg delta eparam inc pt ptlst sparam)
(setq sparam (vlax-curve-getStartParam obj)
eparam (vlax-curve-getEndParam obj)
anginc (* pi (/ 6 180.0)))
(while (<= sparam eparam)
(setq pt (vlax-curve-getPointAtParam obj sparam))
(if (not (equal pt (car ptlst) 1e-12))
(setq ptlst (cons pt ptlst)))
(if (and (/= sparam eparam)
(setq blg (abs (vlax-invoke obj 'GetBulge sparam)))
(/= 0 blg))
(progn
(setq delta (* 4 (atan blg)) ;included angle
inc (/ 1.0 (1+ (fix (/ delta anginc))))
arcparam (+ sparam inc))
(while (< arcparam (1+ sparam))
(setq pt (vlax-curve-getPointAtParam obj arcparam)
ptlst (cons pt ptlst)
arcparam (+ inc arcparam)))) )
(setq sparam (1+ sparam)) )
ptlst)
;main
(princ "\nChon Pline : ")
(if (setq ss (ssget '((0 . "LWPOLYLINE"))))
(progn
(setq i -1)
(while (setq ent (ssname ss (setq i (1+ i))))
(setq objPL (vlax-ename->vla-object ent)
pt_lst (GetPtLst objPL)
ssC (ssget "_WP" pt_lst (list (cons 0 "CIRCLE"))) )
(if ssC
(progn
(setq num (sslength ssC))
(if (> num 255) (setq num (rem num 255)))
(setq layname (strcat "Layer_" (itoa num) "_Circle") j -1)
(or (tblsearch "Layer" layname) (vl-cmdf "-layer" "N" layname "c" num layname ""))
(vla-put-Layer objPL layname)
(while (setq ent (ssname ssC (setq j (1+ j))))
(setq objCi (vlax-ename->vla-object ent) )
(vla-put-Layer objCi layname) ) ) ))))
(princ))

Đã được rùi rất cám ơn
  • 0

#1349 dkkx3a

dkkx3a

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 02 July 2010 - 09:06 AM

Tôi cũng đã nghĩ đến việc sử dụng lớp trung gian hoặc chuyển các đối tượng về lớp mẫu nhưng như thế sẽ làm cho bản vẽ bị biến đổi, khi muốn quản lý lớp sẽ lại bị rối vì ta không trả các đối tượng về lớp gốc của nó được. (cũng có thể chuyển được với trường hợp bổ sung thêm DXF vì tôi nhớ có ai đó đã nói đến phương pháp này nhưng tôi không rành)
Ngoài ra tôi cũng định làm theo cách gán cho các đối tượng đó có màu trùng với màu nền của CAD tuy nhiên khi trả lại giá trị lại đòi hỏi cái cặp dấu ngoặc bên trên.
Kể ra cũng khoai phết.

Ủa, LISP này mình đã chỉnh sửa và bổ sung LISP và đã post lên trên rồi, mà sao các bác vẫn còn bàn luận thế, các bác xem thử cái mình gởi rồi cho ý kiến.

http://www.cadviet.c...ien_theomau.lsp
  • 3
TỰ SỰ
Biển vào chiều buồn giữa cô liêu
Sóng vỗ bờ bạc đầu con nước
Khi biển động như lòng ta chợt động
Biển ồn ào nhưng thực rất dịu êm.......

#1350 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 02 July 2010 - 09:18 AM

Cho mình hỏi, ví dụ mình có 10 pline đã được DIM kích thước bằng lệnh DIMALINGED, mình dùng lệnh DIMREASSOCIATE để gắn PLINE với DIM, mình phải ngồi làm từng DIM với từng PLINE, vậy cho mình hỏi có cách nào hay LISP nào mà khi mình quét chọn tất cả nó sẽ hiểu DIM đó là của PLINE đó ko (nghĩa là cái DIM đang đo cho PLINE nào thì sẽ gắn liền với cái PLINE đó)
Thanks các bạn rất nhiều!
@truongthanh : Bạn hãy upload file cụ thể lên xem thế nào? Dạo này Tue_NV bận lắm, chắc là không giúp gì được, nhưng có các bác trên diễn đàn nếu rảnh sẽ giúp bạn mà

mình gửi link nhờ các bạn xem xét
http://www.cadviet.c...files/2/dre.dwg
  • 0

#1351 yes

yes

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2010 - 09:29 AM

Đây mình gởi cho bạn nè, đã có bổ sung và chỉnh sửa, bạn dùng thử nhé:
http://www.cadviet.c...ien_theomau.lsp
Chúc bạn vui vẻ!!!

Lisp của bạn dùng rất tuyệt, rất đúng với mong muốn của mình. Từ nay, công việc của mình sẽ nhanh, thuận lơi hơn rất nhiều. Xin cám ơn tất cả các bạn.
  • 0

#1352 Sony2007

Sony2007

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 85 (tàm tạm)

Đã gửi 02 July 2010 - 10:01 AM

Chào bạn Sony2007,
Bài toán của bạn đặt ra chưa chặt chẽ.
Bạn sử dụng việc pick diểm thứ nhất và pick điểm thừ 2 thì Ok chưa có vấn đề gì. Nhưng việc pick điểm thứ 3 thì sao nhỉ??? Có chắc chắn bạn sẽ pick điểm này đúng vào đoạn thẳng P1P2 hay không??? Nếu không trúng (mà điều này có nhẽ chiếm tới xác suất 90% đây bạn ạ) thì sẽ nội suy ra sao bạn nhỉ ?????
Trong trường hợp bạn pick không trúng thì bạn cần có 1 nguyên tắc lựa chọn điêm nào đó nằm trên đoạn thẳng P1P2 để nội suy bạn ạ. Còn việc nội suy này không phải quá phức tạp đâu, chỉ là các phép tính theo tam giác đồng dạng mà thôi. Bạn hoàn toàn có thể làm được mà.
Chúc bạn thành công.

Bác nói đúng đấy, bài toán này k được chặt chẽ. Nhưng yêu cầu là phải píck điểm P nằm trên đường thẳng P1P2 này. Còn việc nội suy, tính theo tam giác đồng dạng thì e biết rồi. Nhưng e muốn sử dụng lisp để làm công việc đại trà (tức là có nhiều công tác tương tự như vậy), chứ k phải là e tính tay k được. :cheers: bác có thể giúp e được k. Cám ơn bác trước
  • 0

#1353 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 02 July 2010 - 10:28 AM

Mình có 1 vấn đề như vầy mong các bác giúp đỡ: thường thì mình có các hình khép kín xong thì mình mới hatch, nhưng mà nếu mình lỡ làm mất cái hình khép kín rồi chỉ còn hatch thôi thì có cách nào tìm lại được cái hình đó:hình khép kính có thể là hình tròn, polyline khép kín, line khép kín, spline khép kín........
Mong các cao thủ giúp đỡ sớm, cám ơn
  • 0

#1354 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 02 July 2010 - 10:38 AM

Mình có 1 vấn đề như vầy mong các bác giúp đỡ: thường thì mình có các hình khép kín xong thì mình mới hatch, nhưng mà nếu mình lỡ làm mất cái hình khép kín rồi chỉ còn hatch thôi thì có cách nào tìm lại được cái hình đó:hình khép kính có thể là hình tròn, polyline khép kín, line khép kín, spline khép kín........
Mong các cao thủ giúp đỡ sớm, cám ơn

@romeo1982 : Bạn đã sử dụng chức năng Recreat Boundary trong lệnh Hatchedit (HE) chưa? Nó sẽ đáp ứng yêu cầu của bạn. Hình như CAD2008 trở đi mới có chức năng này.
@Sony : Bạn đã đọc lại bài viết số 1373(trang 69 - Viết Lisp theo yêu cầu phần 2) của Tue_NV chưa? Lisp của bạn được xây dựng trên 3 cái .... này

Đây là Chương trình tính toán Cộng trừ Nhân Chia giá trị của Block Attribute; Text với 1 số hoặc 1 biểu thức.

Nếu bạn tính toán giá trị Block Attribute với 1 số hoặc 1 biểu thức : Lisp sẽ lấy giá trị của Tag_Source đi tính toán với biểu thức toán học và trị thay thế Tag_Replace có thể trùng hoặc không trùng với Tag_Source

Nếu bạn tính toán giá trị Text với 1 số hoặc 1 biểu thức : Lisp sẽ lấy giá trị của Text đi tính toán với biểu thức toán học và trị thay thế chính là Text mà ta đã chọn

Nếu bạn Nhập biểu thức Toán học là : +0 , -0 , *1 , /1 thì bạn có thể tính Tổng giá trị trong các Tag_Source của Block Attribute hay tính được Tổng của các Text mà User đã chọn. Kết quả chứa trong ô Tong gia tri :

Về việc làm tròn số : Nếu bạn không tick vào Precision thì chương trình tính toán số chữ số thập phân vào chính số mà User đã chọn.
____Ví dụ : {1.5 ; 3.02 ; 1.301} khi nhân cho 3 (Biểu thức toán là *3)
thì kết quả sẽ là : {4.5 ; 9.06 ; 3.903}.
- Nếu bạn tick vào Precision và chọn số chữ số thập phân trong popup_list thì chương trình sẽ làm tròn theo số chữ số thập phân mà bạn đã chọn trong popup_list đó.
____Ví dụ : Khi bạn tick vào Precision và chọn số chữ số thập phân trong popup_list là 0.000 (3 chữ số thập phân).
-> Dãy số {1.5 ; 3.02 ; 1.301} khi nhân cho 3 (Biểu thức toán là *3) thì kết quả sẽ là : {4.500 ; 9.060 ; 3.903}

Bổ sung việc lựa chọn nhiều Block name theo ý của funyzui -> Kết quả tính toán là dựa trên các Block đã chọn. Block nào có TagName nằm trong TagSource thì được xử lý và tính toán với biểu thức toán học còn Block nào không có TagName nằm trong TagSource thì bỏ qua

Thêm một chức năng Undo để undo lại hành động xử lý kết quả tính toán trước đó.

Chức năng Modify để hiệu chỉnh Block : Xin hẹn Version sau.

Về Biểu thức toán học : Biểu thức toán học phải bắt đầu bằng toán tử +, -, *, /. . Đã kiểm tra sự hợp lý của biểu thức toán học như : Chuỗi phải bắt đầu bằng toán tử, Chuỗi không được rỗng, chuỗi không được chứa kí tự chữ. Các trường hợp vi phạm những điều này đều được hiện lên bảng thông báo để nhắc nhở. Có 1 trường hợp mà Tue_NV chưa xử lý được là sự hợp lý của biểu thức toán học được xử lý qua hàm Cal. Làm sao để xử lý được các biểu thức như thế này :5+*6 hay 5+(6+6)*).??? ...v...v...
Hình đã gửi

DownLoad Lisp file

Tue_NV viết chương trình này. Hy vọng có ích cho các bạn.
  • 7

#1355 tiendaica

tiendaica

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2010 - 11:44 AM

Lại một lần nữa mong cac anh giúp đỡ cho mình ! mình đang rất cần .................
mình dùng lisp này để phóng điểm lên cad nhưng phóng điểm thì tốt nhưng mà điểm không có ghi tên điểm bro nào có thể giúp mình sau khi phóng điểm lên cad các điểm đó có thể là tên hoặc số thứ tự họăc độ cao không !!!!!!
đây la file lisp minh muon sua http://www.cadviet.c...importxyz_1.zip
vidu lisp mình đang dùng http://www.cadviet.c...2/chua_duoc.dwg
lisp mình muốn http://www.cadviet.c...hi_sua_lisp.dwg
cám ơn !!!!!!!
  • 0

#1356 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 02 July 2010 - 02:12 PM

[quote name='Tue_NV' date='Jul 2 2010, 10:38' post='99749']
@romeo1982 : Bạn đã sử dụng chức năng Recreat Boundary trong lệnh Hatchedit (HE) chưa? Nó sẽ đáp ứng yêu cầu của bạn. Hình như CAD2008 trở đi mới có chức năng này.
Xui 1 cái là mình đang xài cad2007, mình cảm thấy nó rất ổn định nên ko muốn đổi hoài, cám ơn bạn
  • 0

#1357 funnyzui

funnyzui

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 02 July 2010 - 02:23 PM

Đây là Chương trình tính toán Cộng trừ Nhân Chia giá trị của Block Attribute; Text với 1 số hoặc 1 biểu thức.

...
Bổ sung việc lựa chọn nhiều Block name theo ý của funyzui -> Kết quả tính toán là dựa trên các Block đã chọn. Block nào có TagName nằm trong TagSource thì được xử lý và tính toán với biểu thức toán học còn Block nào không có TagName nằm trong TagSource thì bỏ qua
...

Tue_NV viết chương trình này. Hy vọng có ích cho các bạn.

Thật tình ko biết nói lời nào để có thể cảm ơn Tue_NV nhiều hơn nữa. Lisp của bạn thật tuyệt! :cheers:
E cũng chân thành cảm ơn a gia_bach, người đã bắn phát súng đầu tiên cho cuộc cách mạng +-*/ block thuộc tính.
  • 1

#1358 funnyzui

funnyzui

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 02 July 2010 - 02:28 PM

@romeo1982 : mình cũng xài cad2007 mà bạn. Recreat Boundary bình thường mà. Bạn xem kỹ lại, nó là cái hình nhỏ thứ 4 từ trên xuống. Nếu ko thấy nữa thì mình chụp hình gửi cho.
Thân!
  • 0

#1359 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 02 July 2010 - 02:46 PM

mình gửi link nhờ các bạn xem xét
http://www.cadviet.c...files/2/dre.dwg

sao ko ai giúp mình hết vậy?
  • 0

#1360 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 02 July 2010 - 02:53 PM

[quote name='Tue_NV' date='Jul 2 2010, 10:38' post='99749']
@romeo1982 : Bạn đã sử dụng chức năng Recreat Boundary trong lệnh Hatchedit (HE) chưa? Nó sẽ đáp ứng yêu cầu của bạn. Hình như CAD2008 trở đi mới có chức năng này.
Xin lỗi bạn, mình đã thấy chức năng đó rồi, nhưng mình muốn nói là trong bản vẽ của mình có hàng ngàn cái hatch mà ko có đường biên như vậy, nếu làm từ cái chắc là lâu lắm, mong bạn giúp đỡ thêm
  • 0